<!doctype html>
<html lang="{{ .Site.LanguageCode | default "en-us" }}">
  <head>
    <link rel="preconnect" href="https://fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css2?family=Lexend:wght@100;400&display=swap" rel="stylesheet">
    <title>{{ if .IsHome }}{{ .Site.Title }}{{ else }}{{ .Title }} // {{ .Site.Title }}{{ end }}</title>
    <link rel="shortcut icon" href="{{ .Site.Params.favicon | default "/favicon.ico" }}" />
    <meta charset="utf-8" />
    {{ hugo.Generator }}
    <meta name="viewport" content="width=device-width, initial-scale=1" />
    <meta name="author" content="{{ .Site.Params.author | default "John Doe" }}" />
    <meta name="description" content="{{ if .IsHome }}{{ .Site.Params.description }}{{ else }}{{ .Description }}{{ end }}" />
    {{ $style := resources.Get "css/main.scss" | resources.ExecuteAsTemplate "css/main.scss" . | resources.ToCSS | resources.Minify | resources.Fingerprint -}}
    <link rel="stylesheet" href="{{ $style.Permalink }}" />
    <link href="https://maxcdn.bootstrapcdn.com/font-awesome/4.7.0/css/font-awesome.min.css" rel="stylesheet">

    <script src="https://code.jquery.com/jquery-3.6.0.slim.js" integrity="sha256-HwWONEZrpuoh951cQD1ov2HUK5zA5DwJ1DNUXaM6FsY=" crossorigin="anonymous"></script>

    <script src="{{ (resources.Get "js/image-comparison-slider.js").Permalink }}"></script>
    <script src="{{ (resources.Get "js/image-gallery.js").Permalink }}"></script>
  </head>

  <body>
    <header class="app-header">
      <a href="{{ .Site.BaseURL }}"><img class="app-header-avatar" src="{{ .Params.avatar | default .Site.Params.avatar | relURL }}" alt="{{ .Site.Params.author | default "Sketch of Jip" }}" width="240" height="240" /></a>
      <h1>{{ .Site.Title }}</h1>

      <p>{{ .Site.Params.description | default "Lorem ipsum dolor sit amet, consectetur adipiscing elit. Nunc vehicula turpis sit amet elit pretium." }}</p>

      {{- with .Site.Menus.main }}
      <h3>Blog content</h3>
      <nav class="app-header-menu">
        {{- range $key, $item := . }}
            <a class="app-header-menu-item" href="{{ $item.URL }}">{{ $item.Name }}</a>
            <br>
        {{- end }}
      </nav>
      {{- end }}

      <h3>Links</h3>

      {{- with .Site.Params.social }}
      <div class="app-header-social">
        {{ range . }}
          <a href="{{ .url }}" target="_blank" rel="noreferrer noopener">
            {{ partial "icon.html" (dict "ctx" $ "name" .icon "title" .name) }}
          </a>
        {{ end }}
      </div>
      {{- end }}
    </header>
    <main class="app-container">
      {{ block "main" . }}
        {{ .Content }}
      {{ end }}
    </main>
  </body>
</html>
